- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Support< std::map< U, T > > Class Template Reference
[Miscellaneous constructs used by Vaucanson]

Support<map<U, T> > is a const adapter of std::map to container. More...

List of all members.

## Public Types
typedef std::map< U, T > ::value_type | value_type
| The type of the values.
## Public Member Functions
| Support (const Support &)
| support<map<U, T> > is a const adapter of std::map to container.
value_type | operator * () const
| Return the one and only element of the support.
bool | empty () const
| Whether it's empty.

## Detailed Description

### template<class U, class T>
class vcsn::misc::Support< std::map< U, T > >

Support<map<U, T> > is a const adapter of std::map to container.

Definition at line 95 of file support.hh.

## Member Function Documentation

Support< std::map< U, T > >::value_type operator * | ( |  | ) | const`[inline]`

Return the one and only element of the support.

Precondition:
  There is exactly one element in the support.

Definition at line 116 of file support.hxx.